Bug 981217 - [RFE] allow disassociate more than one floating ip and selecting which one
[RFE] allow disassociate more than one floating ip and selecting which one
Status: ASSIGNED
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
unspecified
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Masco
Ido Ovadia
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 05:19 EDT by Dafna Ron
Modified: 2017-10-11 22:15 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (2.59 KB, application/x-xz)
2013-07-04 05:19 EDT, Dafna Ron
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1226003 None None None Never

  None (edit)
Description Dafna Ron 2013-07-04 05:19:19 EDT
Created attachment 768678 [details]
log

Description of problem:

disassociating a floating ip when there is more than one associated with the instance will disassociate the last one added automatically. 
1. it would be nice to be able to select which one you would like to dissociate
2. it would be nice to be able to disassociate all ip's at once 

Version-Release number of selected component (if applicable):

python-django-horizon-2013.1.2-1.el6ost.noarch

How reproducible:

100%

Steps to Reproduce:
1. launch an instance 
2. associate more than one floating ip to the instance 
3. disassociate the ip 

Actual results:

last one added is the last one removed. 
if we want to disassociate all ips we need to do it one at a time. 

Expected results:

we should be able to disassociate more than one ip at a time
if more than one ip is associated with an instance we should be able to select which one to disassociate. 

Additional info: logs
Comment 1 Julie Pichon 2013-07-16 09:48:04 EDT
Note that it's possible to choose which floating IP to disassociate by using the Access and Security -> Floating IPs menu.

Note You need to log in before you can comment on or make changes to this bug.